using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int t=int.Parse(Console.ReadLine());
            List<string> izlaz = new List<string>();

            for (int i = 0; i < t; i++)
            {
                var nmk = Console.ReadLine().Split(' ');
                int n = int.Parse(nmk[0]);
                int m = int.Parse(nmk[1]);
                int k = int.Parse(nmk[2]);

                if (n < k || m < n)
                    izlaz.Add("Nie");
                else
                {
                    int ostatak = n - k;
                    int sum = 0;
                    for (int j = 1; j <= ostatak + 1; j++)
                        sum += j;
                   
                    if (sum <= m - k + 1)
                        izlaz.Add("Tak");
                    else if (n % k == 0)
                    {
                        sum = 0;
                        for (int j = 1; j <= n / k; j++)
                            sum += j;
                       
                        if (m / sum >= k)
                            izlaz.Add("Tak");
                        else
                            izlaz.Add("Nie");
                    }
                    else
                    {
                        ostatak = n % k;
                        sum = 0;
                        for (int j = 1; j < (n / k + 1); j++)
                        {
                            sum += j;
                        }
                        if (m >= sum * ostatak + (sum - (n / k + 1)) * (k - ostatak))
                            izlaz.Add("Tak");
                        else
                            izlaz.Add("Nie");
                    }
                }
            }

            foreach (string element in izlaz)
                Console.WriteLine(element);
        }
    }
}